Installer - Bug #6352

Default install fails when hosthame contains uppercase characters
06/24/2014 01:03 PM - Andy Airey

Status: Closed

Priority: Normal

Assignee: Ewoud Kohl van Wijngaarden

Category: Foreman modules

Target version: 1.6.0

Difficulty: easy Fixed in Releases:

Triaged: Yes Found in Releases: 1.5.0
Bugzilla link: Red Hat JIRA:

Pull request:

Description

facter fqdn and hostname -f both return
HOSTNAME.domain.com

All config files (like httpd) are configured with this hostname in uppercase.

But the puppet cert that is generated is in lowercase.
Resulting in httpd not beeing able to start.

foreman-installer -i output:

Main Config Menu

1. [0] Configure foreman_proxy

2. [0] Configure puppet

3. [0] Configure foreman

4. [0] Configure foreman_plugin_puppetdb

5. [0] Configure foreman_plugin_hooks

6. [0] Configure foreman_compute_ec2

7. [0] Configure foreman_compute_gce

8. [0] Configure foreman_compute_ovirt

9. [0] Configure foreman_compute_openstack
10. [0] Configure foreman_compute_rackspace
11. [0] Configure foreman_compute_vmware
12. [0] Configure foreman_plugin_chef

13. [0] Configure foreman_plugin_default_hostgroup
14. [0] Configure foreman_compute_libvirt
15. [0] Configure foreman_plugin_setup

16. [0] Configure foreman_plugin_discovery
17. [0] Configure foreman_plugin_bootdisk

18. [0] Configure foreman_plugin_templates
19. Display current config

20. Save and run

21. Cancel run without Saving

Choose an option from the menu... 20
/Stage[main] /Apache: :Service/Service[httpd] /ensure: change from stopped to running failed: Could
not start Servicel[httpd]: Execution of '/sbin/service httpd start' returned 1: at /usr/share/fore

man—-installer/modules/apache/manifests/service.pp:34
/Stage [main] /Foreman_proxy: :Service/Service[foreman-proxy]/ensure: change from stopped to running
failed: Could not start Service[foreman-proxy]: Execution of '/sbin/service foreman-proxy start'

returned 1: at /usr/share/foreman—-installer/modules/foreman_proxy/manifests/service.pp:9
Installing Done [100%] [eveveeennnnn.

]
Something went wrong! Check the log for ERROR-level output
The full log is at /var/log/foreman-installer/foreman-installer.log

# service httpd start
Starting httpd: [Tue Jun 24 13:26:59 2014] [warn] module passenger_module is already loaded, skipp
ing

Syntax error on line 37 of /etc/httpd/conf.d/25-puppet.conf:

SSLCertificateFile: file '/var/lib/puppet/ssl/certs/HOSTNAME.domain.com.pem' does not exist or is
empty

[FAILED]

There is a .pem file generated in /var/lib/puppet/certs/, but it is in lowercase.

| changed my hostname to lowercase, regenerated a cert, and it now works.
But this should be checked (warning) or worked around for easy deployment.

Related issues:
Related to Installer - Bug #8389: foreman-installer does not start foreman-pr... Closed 11/13/2014

Associated revisions

Revision 0f83ef79 - 06/25/2014 06:39 AM - Ewoud Kohl van Wijngaarden

Fixes #6352: Lowercase hostnames in certs
This is the same fix as aad7619 in puppet-foreman’.

Relevant parts from http:/projects.theforeman.org/issues/6352

facter fgdn and hostname -f both return
HOSTNAME.domain.com

Starting httpd: [Tue Jun 24 13:26:59 2014] [warn] module passenger_module is already loaded, skipping
Syntax error on line 37 of /etc/httpd/conf.d/25-puppet.conf:

SSLCertificateFile: file '/var/lib/puppet/ssl/certssfHOSTNAME.domain.com.pem' does not exist or is empty
[FAILED]

There is a .pem file generated in /var/lib/puppet/certs/, but it is in
lowercase.

[1]: https://github.com/theforeman/puppet-foreman/commit/aad76195117479ca6b2cbbfof0579e3672a9¢c806

History

#1 - 06/24/2014 01:07 PM - Dominic Cleal

- Category changed from foreman-installer script to Foreman modules

Was fixed in puppet-foreman here: https:/github.com/theforeman/puppet-foreman/commit/aad76195117479ca6b2cbbfof0579e3672a9c806

But not here in puppet-puppet: https:/github.com/theforeman - lob/m r/manif rver.pp#l22-L.2

#2 - 06/25/2014 10:41 AM - Ewoud Kohl van Wijngaarden
- Status changed from New to Resolved

- Assignee set to Ewoud Kohl van Wijngaarden

Merged in hitps://github.com/theforeman/puppet-puppet/commit/0{83ef79a04a8677c5499e01c6795868b4eac3dd

#3 - 06/25/2014 10:42 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#4 - 07/07/2014 07:55 AM - Dominic Cleal
- Status changed from Resolved to Closed
- Target version set to 1.8.0

- % Done changed from 0 to 100

#5 - 11/12/2014 07:04 AM - Fabien Combernous

| used rpms from the foreman repo : foreman-installer-1.6.2-1.el6.
| was yet impacted buy this bug released for 1.6.0.
| renamed the hostname lowercase then the foreman-installer worked like a charm.
http://projects.theforeman.org/issues/6352
https://github.com/theforeman/puppet-foreman/commit/aad76195117479ca6b2cbbf9f0579e3672a9c806
https://github.com/theforeman/puppet-foreman/commit/aad76195117479ca6b2cbbf9f0579e3672a9c806
https://github.com/theforeman/puppet-puppet/blob/master/manifests/server.pp#L22-L23
https://github.com/theforeman/puppet-puppet/commit/0f83ef79a04a8677c5499e01c6795868b4eac3dd

#6 - 11/12/2014 07:12 AM - Fabien Combernous

The output generated by foreman-installer was :

Could not start Service[foreman-proxy]: Execution of '/sbin/service foreman-proxy start' returned 1: Starting foreman-proxy : [FAILED]
/Stage[main]/Foreman_proxy::Service/Service[foreman-proxy]/ensure: change from stopped to running failed: Could not start Service[foreman-proxy]:
Execution of '/sbin/service foreman-proxy start' returned 1: Starting foreman-proxy : [FAILED]
/Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[MYHOSTNAME.mydomain]: Failed to call refresh: Could not load data from
https:/MYHOSTNAME.mydomain

/Stage[main]/Foreman_proxy::Register/Foreman_smartproxy[MYHOSTNAME.mydomain]: Could not load data from
https://MYHOSTNAME.mydomain

Installing Done [100%] [ceermeeeermeenreneenieneeese e ]

Something went wrong! Check the log for ERROR-level output

#7 - 11/12/2014 07:28 AM - Dominic Cleal

| think we introduced a new bug in #7822, could you file a new report please?

#8 - 11/13/2014 03:47 AM - Fabien Combernous

- Related to Bug #8389: foreman-installer does not start foreman-proxy with mixed-case hostnames added

#9 - 03/23/2020 07:35 PM - Eliezer Croitoru
- Triaged set to No

Dominic Cleal wrote:
| think we introduced a new bug in #7822, could you file a new report please?
This issue is present now in 1.9.3.

#10 - 03/24/2020 01:32 PM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes

That version is ancient and this is an ancient bug. Please verify with a supported version (1.23 or 1.24 at this moment) and open a new bug if you still
have any issue.
